RoundcubePlugins

  • Hallo,


    when I do this on Debian 7 its works fine.


    aptitude install dovecot-sieve dovecot-managesieved


    When I do it on Debian 6 I become this.



    What can I do.?


    Kind regards
    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • Did you read the documentation?

    Quote


    1. Install the needed Debian / Ubuntu packages


    Only necessary if you want to use the Roundcube Plugin managesieve.


    Attention: Debian Squeeze and Ubuntu Lucid have these
    binares included with the dovecot package. So on Squeeze and Lucid you
    don't need to install anything.

  • Cancel that, you have Debian Squeeze and there is Dovecot 1 supportet.


    And if you have read the docu carefully, than you had seen, that you don't need the packages.


    Quote

    Attention: Debian Squeeze and Ubuntu Lucid have these binares included with the dovecot package. So on Squeeze and Lucid you don't need to install anything.


    Edit: You get this screen, because you have the backports in your /etc/apt/source.list.

  • Hallo,


    you say that I not need to install this on Debian Squeeze.


    When I go into Roundcube I become a error "Kann keine Verbindung mit Managesieve-Server herstellen".


    Kind regards,
    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 5.0.5), RoundcubePlugins (v 2.0.2)

  • I found the problem and fixed it. Shame on me, I've forgotten something for Squeeze and Lucid where Dovecot 1.x is the default.


    I will provide an update.

  • I can't upload the new version 0.0.2, because @TheCry uploaded the first one and now only he is able to add new versions.


    TheCry:
    Could you please merge my pull request and then upload the new version, where I fixed the problem with managesieve on Debian Squeeze and Ubuntu Lucid?

  • Hey there, at first, great job! I've installed the plugins Clamav, Spamassassin, RoundcubePlugins, OpenDKIM and Postscreen and I'm more than happy with this extentions!! Also the admin interface is amazing!


    But maybe I've found a bug. The default sieve-filter does not work (Move spammails with an x-spam-flag to the spam folder). I've also saved the filter again but without changes. The flag exists in the header of the mails...